# Uses of Class
com.ocient.jdbc.XGStatement.EventMonitor

Packages that use XGStatement.EventMonitor
Package
Description
com.ocient.jdbc

## Uses of XGStatement.EventMonitor in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type XGStatement.EventMonitor
Modifier and Type
Method
Description
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties, XGStatement.EventMonitor eventMonitor)`
`void`
XGStatement.`setEventMonitor(XGStatement.EventMonitor _eventMonitor)`
Constructors in com.ocient.jdbc with parameters of type XGStatement.EventMonitor
Modifier
Constructor
Description
``
`XGResultSet(XGConnection conn, XGResultSet.OcientResultSetMetadata md, List<List<Object>> rs, XGStatement stmt, RowTransformerFactory rowTransformerFactory, XGStatement.EventMonitor eventMonitor, XGResultSet.Option... options)`
Constructs a new XGResultSet object with the given parameters.